Subject: Re: Cygwin + Debian
From: "Christophe Prud'homme" <[email-masked]>
To: "Mark Paulus" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Thu, 21 Jun 2001 11:15:56 -0400

* Mark Paulus  [Mercredi 20 Juin 2001 11:51 am ]  :

  > Which piece of debian are you thinking would be cool to port?
the packaging tools at least

I would love having a nice install/upgrade tools ala debian under cygwin

  >
  > Since debian is just a particular flavour of Linux, and a particular
  > way/methodology of packaging/distributing that same
  > OS and it's utilities, "porting debian" doesn't really make sense.
yes 
However debian is not just about GNU/Linux but also GNU/Hurd 

  >
  > However, do you want to use the debian package manager,
  > dpkg/apt-get/dselect?  There might be some resistance to that
  > as Cygwin is owned/sponsered/supported by Redhat, which
  > is probably attached to the RPM philosophy (They did create
  > it after all).  
  >
  > Otherwise, are there particular utilities that you want to
  > port?  
see above
cygwin is in a great state, I managed to port a big CORBA framework
under cygwin with just a little pain !
my goal certainly selfish since I would like to see the packages I use under cygwin
and they are already available under debian

CORBA mico 2.3.5 (with all the services and especially the naming and trading services)
Corelinux (http://corelinux.sourforge.net) a C++ Framework

I already started looking at dpkg and related tools 
However I am new to this and will certainly need some help from the debian side
the is already a list debian-win32 

regards
C.
-- 
| Christophe Prud'homme, http://augustine.mit.edu/~prudhomm
| ICQ UIN: 24560867 Alias: Jesunix
|
| If it doesn't work, force it. If it breaks, it needed replacing anyway.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple